twice-differentiable-function.hh File Reference
`#include <cstring>`
`#include <limits>`
`#include <utility>`
`#include <log4cxx/logger.h>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/portability.hh>`
`#include <roboptim/core/differentiable-function.hh>`
`#include <roboptim/core/twice-differentiable-function.hxx>`

## Classes

class | roboptim::GenericTwiceDifferentiableFunction< T >
| Define an abstract function which is derivable twice ( ). More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Macros

#define | ROBOPTIM_TWICE_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS(PARENT)
#define | ROBOPTIM_TWICE_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_(PARENT)

## Macro Definition Documentation

#define ROBOPTIM_TWICE_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS | ( |  | PARENT | ) |

Value:
ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS(PARENT); \
typedef parent_t::hessian_t hessian_t; \
struct e_n_d__w_i_t_h__s_e_m_i_c_o_l_o_n
ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS
#define ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS(PARENT)
Definition: differentiable-function.hh:31

#define ROBOPTIM_TWICE_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_ | ( |  | PARENT | ) |

Value:
ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_(PARENT); \
typedef typename parent_t::hessian_t hessian_t; \
struct e_n_d__w_i_t_h__s_e_m_i_c_o_l_o_n
ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_
#define ROBOPTIM_DIFFERENTIABLE_FUNCTION_FWD_TYPEDEFS_(PARENT)
Definition: differentiable-function.hh:37